#version 330 core
layout (triangles) in;
layout (triangle_strip, max_vertices=18) out;

uniform mat4 shadow_cube_faces[6];

out vec4 Frag_pos; 

void main()
{
    for(int f = 0; f < 6; ++f)
    {
        gl_Layer = f; 
        for(int i = 0; i < 3; ++i) 
        {
            Frag_pos = gl_in[i].gl_Position;
            gl_Position = shadow_cube_faces[f] * Frag_pos;
            EmitVertex();
        }    
        EndPrimitive();
    }
} 