#version 330 core
layout (location = 0) in vec3 position;
layout (location = 2) in mat4 model_matrix;


uniform mat4 projection;
uniform mat4 view;

void main()
{
    gl_Position = projection * view * model_matrix * vec4(position, 1.0f); 
}